> ## Documentation Index
> Fetch the complete documentation index at: https://docs.insighto.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Create Conversation Flow

> Create new conversation_flow



## OpenAPI

````yaml https://api.insighto.ai/api/v1/openapi.json post /api/v1/conversation_flow
openapi: 3.1.0
info:
  title: Ragify
  version: v1
servers: []
security: []
paths:
  /api/v1/conversation_flow:
    post:
      tags:
        - Conversation Flow
      summary: Create Conversation Flow
      description: Create new conversation_flow
      operationId: create_conversation_flow_api_v1_conversation_flow_post
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/IConversationFlowCreate'
        required: true
      responses:
        '201':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/IPostResponseBase_IConversationFlowRead_'
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
      security:
        - Your API Key: []
        - HTTPBearer: []
components:
  schemas:
    IConversationFlowCreate:
      properties:
        name:
          anyOf:
            - type: string
            - type: 'null'
          title: Name
        num_nodes:
          anyOf:
            - type: integer
            - type: 'null'
          title: Num Nodes
          default: 0
        num_edges:
          anyOf:
            - type: integer
            - type: 'null'
          title: Num Edges
          default: 0
        flow:
          additionalProperties: true
          type: object
          title: Flow
          default: {}
      type: object
      title: IConversationFlowCreate
    IPostResponseBase_IConversationFlowRead_:
      properties:
        message:
          anyOf:
            - type: string
            - type: 'null'
          title: Message
          default: Data created successfully
        meta:
          anyOf:
            - additionalProperties: true
              type: object
            - {}
            - type: 'null'
          title: Meta
          default: {}
        data:
          anyOf:
            - $ref: '#/components/schemas/IConversationFlowRead'
            - type: 'null'
      type: object
      title: IPostResponseBase[IConversationFlowRead]
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    IConversationFlowRead:
      properties:
        name:
          anyOf:
            - type: string
            - type: 'null'
          title: Name
        num_nodes:
          anyOf:
            - type: integer
            - type: 'null'
          title: Num Nodes
          default: 0
        num_edges:
          anyOf:
            - type: integer
            - type: 'null'
          title: Num Edges
          default: 0
        flow:
          additionalProperties: true
          type: object
          title: Flow
          default: {}
        id:
          type: string
          format: uuid
          title: Id
      type: object
      required:
        - id
      title: IConversationFlowRead
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
  securitySchemes:
    Your API Key:
      type: apiKey
      description: >-
        Your API key for authentication. You can generate it from the
        **Settings** page. Format: starts with `in-`.
      in: query
      name: api_key
    HTTPBearer:
      type: http
      scheme: bearer

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.